Configurations
Read import configurations.
This functionality is in preview mode - some of the features may not be fully operational yet.
Retrieves all import configurations defined for the tenant.
- : Needed to trigger, schedule, monitor, and cancel import runs and to read configurations, streams, schedules, runs, and imported data.
The tenant you want to access.
mytenantThe request was successful. The configurations are returned.
An import configuration grouping one or more streams.
The configuration identifier.
7c9e6679-7425-40de-944b-e07fc1f90ae7The owning tenant.
mytenantThe configuration name.
ERP product master importA free-text description.
Nightly import of product master data from the ERP system.The default source connection for the configuration's streams.
550e8400-e29b-41d4-a716-446655440000Whether AI-assisted mapping suggestions are enabled for the configuration.
falseWhether the configuration is active.
trueIncremented on every change to the configuration.
3The identifier of the user who created the configuration.
user@example.comWhen the configuration was created.
2026-07-01T10:15:30.000ZWhen the configuration was last updated.
2026-07-20T08:00:00.000ZGiven request is unauthorized - the authorization token is invalid or has expired. Details will be provided in the response payload.
Given authorization scopes are not sufficient and do not match scopes required by the endpoint.
Internal Service Error occurred.
GET /importtool/{tenant}/configs HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
{
"id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"tenant": "mytenant",
"name": "ERP product master import",
"description": "Nightly import of product master data from the ERP system.",
"sourceConnId": "550e8400-e29b-41d4-a716-446655440000",
"aiEnabled": false,
"enabled": true,
"createdAt": "2026-07-01T10:15:30.000Z",
"updatedAt": "2026-07-20T08:00:00.000Z"
}
]This functionality is in preview mode - some of the features may not be fully operational yet.
Retrieves a single import configuration by its identifier.
- : Needed to trigger, schedule, monitor, and cancel import runs and to read configurations, streams, schedules, runs, and imported data.
The tenant you want to access.
mytenantThe resource identifier.
7c9e6679-7425-40de-944b-e07fc1f90ae7The request was successful. The configuration is returned.
An import configuration grouping one or more streams.
The configuration identifier.
7c9e6679-7425-40de-944b-e07fc1f90ae7The owning tenant.
mytenantThe configuration name.
ERP product master importA free-text description.
Nightly import of product master data from the ERP system.The default source connection for the configuration's streams.
550e8400-e29b-41d4-a716-446655440000Whether AI-assisted mapping suggestions are enabled for the configuration.
falseWhether the configuration is active.
trueIncremented on every change to the configuration.
3The identifier of the user who created the configuration.
user@example.comWhen the configuration was created.
2026-07-01T10:15:30.000ZWhen the configuration was last updated.
2026-07-20T08:00:00.000ZGiven request is unauthorized - the authorization token is invalid or has expired. Details will be provided in the response payload.
Given authorization scopes are not sufficient and do not match scopes required by the endpoint.
The requested resource does not exist.
Internal Service Error occurred.
GET /importtool/{tenant}/configs/{id} HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"tenant": "mytenant",
"name": "ERP product master import",
"description": "Nightly import of product master data from the ERP system.",
"sourceConnId": "550e8400-e29b-41d4-a716-446655440000",
"aiEnabled": false,
"enabled": true,
"createdAt": "2026-07-01T10:15:30.000Z",
"updatedAt": "2026-07-20T08:00:00.000Z"
}Last updated
Was this helpful?

